Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlSubTable

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIData
                  org.ajax4jsf.component.UIDataAdaptor
                      org.ajax4jsf.component.SequenceDataAdaptor
                          org.richfaces.component.UIDataTable
                              org.richfaces.component.UISubTable
                                  org.richfaces.component.html.HtmlSubTable

All Implemented Interfaces:
  javax.faces.component.NamingContainer, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxChildrenEncoder, org.ajax4jsf.component.AjaxDataEncoder, org.richfaces.component.Column, Row

    public class HtmlSubTable

extends UISubTable

Component-Type org.richfaces.SubTable Component-Family org.richfaces.SubTable Renderer-Type org.richfaces.SubTableRenderer

Nested Class Summary

Nested classes/interfaces inherited from class org.ajax4jsf.component.UIDataAdaptor
`org.ajax4jsf.component.UIDataAdaptor.ComponentVisitor, org.ajax4jsf.component.UIDataAdaptor.IndexedEvent`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.UIDataTable
`isAjaxSupport, isColumn, isNotColumn`

Fields inherited from class org.ajax4jsf.component.UIDataAdaptor
`COMPONENT_STATE_ATTRIBUTE, decodeVisitor, EMPTY_MODEL, updateVisitor, validateVisitor`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`HtmlSubTable()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getColumnClasses()` Comma-delimited list of CSS style classes that are be applied to the columns of this table.
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFooterClass()` Space-separated list of CSS style class(es) that are be applied to any footer generated for this table Getter for footerClass
`java.lang.String` | `getHeaderClass()` Space-separated list of CSS style class(es) that are be applied to any header generated for this table Getter for headerClass
`java.lang.String` | `getOnclick()` HTML: a script expression; a pointer button is clicked Getter for onclick
`java.lang.String` | `getOndblclick()` HTML: a script expression; a pointer button is double-clicked Getter for ondblclick
`java.lang.String` | `getOnkeydown()` HTML: a script expression; a key is pressed down Getter for onkeydown
`java.lang.String` | `getOnkeypress()` HTML: a script expression; a key is pressed and released Getter for onkeypress
`java.lang.String` | `getOnkeyup()` HTML: a script expression; a key is released Getter for onkeyup
`java.lang.String` | `getOnmousedown()` HTML: script expression; a pointer button is pressed down Getter for onmousedown
`java.lang.String` | `getOnmousemove()` HTML: a script expression; a pointer is moved within Getter for onmousemove
`java.lang.String` | `getOnmouseout()` HTML: a script expression; a pointer is moved away Getter for onmouseout
`java.lang.String` | `getOnmouseover()` HTML: a script expression; a pointer is moved onto Getter for onmouseover
`java.lang.String` | `getOnmouseup()` HTML: script expression; a pointer button is released Getter for onmouseup
`java.lang.String` | `getOnRowClick()` HTML: a script expression; a pointer button is clicked on row Getter for onRowClick
`java.lang.String` | `getOnRowDblClick()` HTML: a script expression; a pointer button is double-clicked on row Getter for onRowDblClick
`java.lang.String` | `getOnRowMouseDown()` HTML: script expression; a pointer button is pressed down on row Getter for onRowMouseDown
`java.lang.String` | `getOnRowMouseMove()` HTML: a script expression; a pointer is moved within of row Getter for onRowMouseMove
`java.lang.String` | `getOnRowMouseOut()` HTML: a script expression; a pointer is moved away of row Getter for onRowMouseOut
`java.lang.String` | `getOnRowMouseOver()` HTML: a script expression; a pointer is moved onto of row Getter for onRowMouseOver
`java.lang.String` | `getOnRowMouseUp()` HTML: script expression; a pointer button is released on row Getter for onRowMouseUp
`java.lang.String` | `getRowClasses()` A comma-delimited list of CSS style classes that is applied to popup table rows.
`java.lang.String` | `getSortExpression()` sortExpression Getter for sortExpression
`boolean` | `isSortable()` Getter for sortable
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setColumnClasses(java.lang.String __columnClasses)` Comma-delimited list of CSS style classes that are be applied to the columns of this table.
`void` | `setFooterClass(java.lang.String __footerClass)` Space-separated list of CSS style class(es) that are be applied to any footer generated for this table Setter for footerClass
`void` | `setHeaderClass(java.lang.String __headerClass)` Space-separated list of CSS style class(es) that are be applied to any header generated for this table Setter for headerClass
`void` | `setOnclick(java.lang.String __onclick)` HTML: a script expression; a pointer button is clicked Setter for onclick
`void` | `setOndblclick(java.lang.String __ondblclick)` HTML: a script expression; a pointer button is double-clicked Setter for ondblclick
`void` | `setOnkeydown(java.lang.String __onkeydown)` HTML: a script expression; a key is pressed down Setter for onkeydown
`void` | `setOnkeypress(java.lang.String __onkeypress)` HTML: a script expression; a key is pressed and released Setter for onkeypress
`void` | `setOnkeyup(java.lang.String __onkeyup)` HTML: a script expression; a key is released Setter for onkeyup
`void` | `setOnmousedown(java.lang.String __onmousedown)` HTML: script expression; a pointer button is pressed down Setter for onmousedown
`void` | `setOnmousemove(java.lang.String __onmousemove)` HTML: a script expression; a pointer is moved within Setter for onmousemove
`void` | `setOnmouseout(java.lang.String __onmouseout)` HTML: a script expression; a pointer is moved away Setter for onmouseout
`void` | `setOnmouseover(java.lang.String __onmouseover)` HTML: a script expression; a pointer is moved onto Setter for onmouseover
`void` | `setOnmouseup(java.lang.String __onmouseup)` HTML: script expression; a pointer button is released Setter for onmouseup
`void` | `setOnRowClick(java.lang.String __onRowClick)` HTML: a script expression; a pointer button is clicked on row Setter for onRowClick
`void` | `setOnRowDblClick(java.lang.String __onRowDblClick)` HTML: a script expression; a pointer button is double-clicked on row Setter for onRowDblClick
`void` | `setOnRowMouseDown(java.lang.String __onRowMouseDown)` HTML: script expression; a pointer button is pressed down on row Setter for onRowMouseDown
`void` | `setOnRowMouseMove(java.lang.String __onRowMouseMove)` HTML: a script expression; a pointer is moved within of row Setter for onRowMouseMove
`void` | `setOnRowMouseOut(java.lang.String __onRowMouseOut)` HTML: a script expression; a pointer is moved away of row Setter for onRowMouseOut
`void` | `setOnRowMouseOver(java.lang.String __onRowMouseOver)` HTML: a script expression; a pointer is moved onto of row Setter for onRowMouseOver
`void` | `setOnRowMouseUp(java.lang.String __onRowMouseUp)` HTML: script expression; a pointer button is released on row Setter for onRowMouseUp
`void` | `setRowClasses(java.lang.String __rowClasses)` A comma-delimited list of CSS style classes that is applied to popup table rows.
`void` | `setSortable(boolean __sortable)` Setter for sortable
`void` | `setSortExpression(java.lang.String __sortExpression)` sortExpression Setter for sortExpression

Methods inherited from class org.richfaces.component.UISubTable
`columns, isBreakBefore, setBreakBefore`

Methods inherited from class org.richfaces.component.UIDataTable
`dataChildren, fixedChildren`

Methods inherited from class org.ajax4jsf.component.SequenceDataAdaptor
`createComponentState, createDataModel, getDataModel, setDataModel`

Methods inherited from class org.ajax4jsf.component.UIDataAdaptor
`addRequestKey, broadcast, broadcastLocal, captureOrigValue, captureOrigValue, clearRequestKeysSet, containsRequestKey, encodeAjaxChild, encodeBegin, getAjaxKeys, getAllAjaxKeys, getBaseClientId, getChildrenRenderer, getChildState, getClientId, getComponentState, getEncodedIds, getExtendedDataModel, getRowCount, getRowData, getRowIndex, getRowKey, getRowKeyVar, getStateVar, getValue, isRowAvailable, iterate, processDecodes, processDecodes, processUpdates, processUpdates, processValidators, processValidators, queueEvent, removeRequestKey, resetComponent, resetDataModel, restoreChildState, restoreOrigValue, restoreOrigValue, saveChildState, setAjaxKeys, setComponentState, setExtendedDataModel, setId, setParent, setRowIndex, setRowKey, setRowKey, setRowKeyVar, setStateVar, setupVariable, setValue, walk`

Methods inherited from class javax.faces.component.UIData
`getFirst, getFooter, getHeader, getRows, getVar, setFirst, setFooter, setHeader, setRows, setValueBinding, setVar`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setRendered, setRendererType, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlSubTable

    public HtmlSubTable()

  Constructor to init default renderers

Method Detail

### setColumnClasses

    public void setColumnClasses(java.lang.String __columnClasses)

  Comma-delimited list of CSS style classes that are be applied to the columns of this table. A space separated list of classes may also be specified for any individual column. If the number of elements in this list is less than the number of columns specified in the "columns" attribute, no "class" attribute is output for each column greater than the number of elements in the list. If the number of elements in the list is greater than the number of columns specified in the "columns" attribute, the elements at the position in the list after the value of the "columns" attribute are ignored Setter for columnClasses

  Parameters:
    `columnClasses` - - new value

### getColumnClasses

    public java.lang.String getColumnClasses()

  Comma-delimited list of CSS style classes that are be applied to the columns of this table. A space separated list of classes may also be specified for any individual column. If the number of elements in this list is less than the number of columns specified in the "columns" attribute, no "class" attribute is output for each column greater than the number of elements in the list. If the number of elements in the list is greater than the number of columns specified in the "columns" attribute, the elements at the position in the list after the value of the "columns" attribute are ignored Getter for columnClasses

  Returns:
    columnClasses value from local variable or value bindings

### setFooterClass

    public void setFooterClass(java.lang.String __footerClass)

  Space-separated list of CSS style class(es) that are be applied to any footer generated for this table Setter for footerClass

  Parameters:
    `footerClass` - - new value

### getFooterClass

    public java.lang.String getFooterClass()

  Space-separated list of CSS style class(es) that are be applied to any footer generated for this table Getter for footerClass

  Returns:
    footerClass value from local variable or value bindings

### setHeaderClass

    public void setHeaderClass(java.lang.String __headerClass)

  Space-separated list of CSS style class(es) that are be applied to any header generated for this table Setter for headerClass

  Parameters:
    `headerClass` - - new value

### getHeaderClass

    public java.lang.String getHeaderClass()

  Space-separated list of CSS style class(es) that are be applied to any header generated for this table Getter for headerClass

  Returns:
    headerClass value from local variable or value bindings

### setOnRowClick

    public void setOnRowClick(java.lang.String __onRowClick)

  HTML: a script expression; a pointer button is clicked on row Setter for onRowClick

  Parameters:
    `onRowClick` - - new value

### getOnRowClick

    public java.lang.String getOnRowClick()

  HTML: a script expression; a pointer button is clicked on row Getter for onRowClick

  Returns:
    onRowClick value from local variable or value bindings

### setOnRowDblClick

    public void setOnRowDblClick(java.lang.String __onRowDblClick)

  HTML: a script expression; a pointer button is double-clicked on row Setter for onRowDblClick

  Parameters:
    `onRowDblClick` - - new value

### getOnRowDblClick

    public java.lang.String getOnRowDblClick()

  HTML: a script expression; a pointer button is double-clicked on row Getter for onRowDblClick

  Returns:
    onRowDblClick value from local variable or value bindings

### setOnRowMouseDown

    public void setOnRowMouseDown(java.lang.String __onRowMouseDown)

  HTML: script expression; a pointer button is pressed down on row Setter for onRowMouseDown

  Parameters:
    `onRowMouseDown` - - new value

### getOnRowMouseDown

    public java.lang.String getOnRowMouseDown()

  HTML: script expression; a pointer button is pressed down on row Getter for onRowMouseDown

  Returns:
    onRowMouseDown value from local variable or value bindings

### setOnRowMouseMove

    public void setOnRowMouseMove(java.lang.String __onRowMouseMove)

  HTML: a script expression; a pointer is moved within of row Setter for onRowMouseMove

  Parameters:
    `onRowMouseMove` - - new value

### getOnRowMouseMove

    public java.lang.String getOnRowMouseMove()

  HTML: a script expression; a pointer is moved within of row Getter for onRowMouseMove

  Returns:
    onRowMouseMove value from local variable or value bindings

### setOnRowMouseOut

    public void setOnRowMouseOut(java.lang.String __onRowMouseOut)

  HTML: a script expression; a pointer is moved away of row Setter for onRowMouseOut

  Parameters:
    `onRowMouseOut` - - new value

### getOnRowMouseOut

    public java.lang.String getOnRowMouseOut()

  HTML: a script expression; a pointer is moved away of row Getter for onRowMouseOut

  Returns:
    onRowMouseOut value from local variable or value bindings

### setOnRowMouseOver

    public void setOnRowMouseOver(java.lang.String __onRowMouseOver)

  HTML: a script expression; a pointer is moved onto of row Setter for onRowMouseOver

  Parameters:
    `onRowMouseOver` - - new value

### getOnRowMouseOver

    public java.lang.String getOnRowMouseOver()

  HTML: a script expression; a pointer is moved onto of row Getter for onRowMouseOver

  Returns:
    onRowMouseOver value from local variable or value bindings

### setOnRowMouseUp

    public void setOnRowMouseUp(java.lang.String __onRowMouseUp)

  HTML: script expression; a pointer button is released on row Setter for onRowMouseUp

  Parameters:
    `onRowMouseUp` - - new value

### getOnRowMouseUp

    public java.lang.String getOnRowMouseUp()

  HTML: script expression; a pointer button is released on row Getter for onRowMouseUp

  Returns:
    onRowMouseUp value from local variable or value bindings

### setOnclick

    public void setOnclick(java.lang.String __onclick)

  HTML: a script expression; a pointer button is clicked Setter for onclick

  Parameters:
    `onclick` - - new value

### getOnclick

    public java.lang.String getOnclick()

  HTML: a script expression; a pointer button is clicked Getter for onclick

  Returns:
    onclick value from local variable or value bindings

### setOndblclick

    public void setOndblclick(java.lang.String __ondblclick)

  HTML: a script expression; a pointer button is double-clicked Setter for ondblclick

  Parameters:
    `ondblclick` - - new value

### getOndblclick

    public java.lang.String getOndblclick()

  HTML: a script expression; a pointer button is double-clicked Getter for ondblclick

  Returns:
    ondblclick value from local variable or value bindings

### setOnkeydown

    public void setOnkeydown(java.lang.String __onkeydown)

  HTML: a script expression; a key is pressed down Setter for onkeydown

  Parameters:
    `onkeydown` - - new value

### getOnkeydown

    public java.lang.String getOnkeydown()

  HTML: a script expression; a key is pressed down Getter for onkeydown

  Returns:
    onkeydown value from local variable or value bindings

### setOnkeypress

    public void setOnkeypress(java.lang.String __onkeypress)

  HTML: a script expression; a key is pressed and released Setter for onkeypress

  Parameters:
    `onkeypress` - - new value

### getOnkeypress

    public java.lang.String getOnkeypress()

  HTML: a script expression; a key is pressed and released Getter for onkeypress

  Returns:
    onkeypress value from local variable or value bindings

### setOnkeyup

    public void setOnkeyup(java.lang.String __onkeyup)

  HTML: a script expression; a key is released Setter for onkeyup

  Parameters:
    `onkeyup` - - new value

### getOnkeyup

    public java.lang.String getOnkeyup()

  HTML: a script expression; a key is released Getter for onkeyup

  Returns:
    onkeyup value from local variable or value bindings

### setOnmousedown

    public void setOnmousedown(java.lang.String __onmousedown)

  HTML: script expression; a pointer button is pressed down Setter for onmousedown

  Parameters:
    `onmousedown` - - new value

### getOnmousedown

    public java.lang.String getOnmousedown()

  HTML: script expression; a pointer button is pressed down Getter for onmousedown

  Returns:
    onmousedown value from local variable or value bindings

### setOnmousemove

    public void setOnmousemove(java.lang.String __onmousemove)

  HTML: a script expression; a pointer is moved within Setter for onmousemove

  Parameters:
    `onmousemove` - - new value

### getOnmousemove

    public java.lang.String getOnmousemove()

  HTML: a script expression; a pointer is moved within Getter for onmousemove

  Returns:
    onmousemove value from local variable or value bindings

### setOnmouseout

    public void setOnmouseout(java.lang.String __onmouseout)

  HTML: a script expression; a pointer is moved away Setter for onmouseout

  Parameters:
    `onmouseout` - - new value

### getOnmouseout

    public java.lang.String getOnmouseout()

  HTML: a script expression; a pointer is moved away Getter for onmouseout

  Returns:
    onmouseout value from local variable or value bindings

### setOnmouseover

    public void setOnmouseover(java.lang.String __onmouseover)

  HTML: a script expression; a pointer is moved onto Setter for onmouseover

  Parameters:
    `onmouseover` - - new value

### getOnmouseover

    public java.lang.String getOnmouseover()

  HTML: a script expression; a pointer is moved onto Getter for onmouseover

  Returns:
    onmouseover value from local variable or value bindings

### setOnmouseup

    public void setOnmouseup(java.lang.String __onmouseup)

  HTML: script expression; a pointer button is released Setter for onmouseup

  Parameters:
    `onmouseup` - - new value

### getOnmouseup

    public java.lang.String getOnmouseup()

  HTML: script expression; a pointer button is released Getter for onmouseup

  Returns:
    onmouseup value from local variable or value bindings

### setRowClasses

    public void setRowClasses(java.lang.String __rowClasses)

  A comma-delimited list of CSS style classes that is applied to popup table rows. A space separated list of classes may also be specified for any individual row. The styles are applied, in turn, to each row in the table. For example, if the list has two elements, the first style class in the list is applied to the first row, the second to the second row, the first to the third row, the second to the fourth row, etc. In other words, we keep iterating through the list until we reach the end, and then we start at the beginning again Setter for rowClasses

  Parameters:
    `rowClasses` - - new value

### getRowClasses

    public java.lang.String getRowClasses()

  A comma-delimited list of CSS style classes that is applied to popup table rows. A space separated list of classes may also be specified for any individual row. The styles are applied, in turn, to each row in the table. For example, if the list has two elements, the first style class in the list is applied to the first row, the second to the second row, the first to the third row, the second to the fourth row, etc. In other words, we keep iterating through the list until we reach the end, and then we start at the beginning again Getter for rowClasses

  Returns:
    rowClasses value from local variable or value bindings

### setSortExpression

    public void setSortExpression(java.lang.String __sortExpression)

  sortExpression Setter for sortExpression

  Parameters:
    `sortExpression` - - new value

### getSortExpression

    public java.lang.String getSortExpression()

  sortExpression Getter for sortExpression

  Returns:
    sortExpression value from local variable or value bindings

### setSortable

    public void setSortable(boolean __sortable)

  Setter for sortable

  Parameters:
    `sortable` - - new value

### isSortable

    public boolean isSortable()

  Getter for sortable

  Returns:
    sortable value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIData`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `org.ajax4jsf.component.UIDataAdaptor`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `org.ajax4jsf.component.UIDataAdaptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.